Subject: Re: [PATCH 1/2] config.mak.dev: workaround gcc 12 bug affecting "pedantic" CI job

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 Apr 2022 22:56:33 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Fri, Apr 15 2022, Carlo Arenas wrote:
>
>>> > +# https://bugzilla.redhat.com/show_bug.cgi?id=2075786
>>> > +ifneq ($(filter gcc12,$(COMPILER_FEATURES)),)
>>> > +DEVELOPER_CFLAGS += -Wno-error=stringop-overread
>>> > +endif
>>>
>>> What I meant with "just set -Wno-error=stringop-overread on gcc12 for
>>> dir.(o|s|sp)?" was that you can set this per-file:
>>
>> of course, but that change goes in the Makefile and therefore affects
>> ...
> I mean it can go in config.mak.dev, it doesn't need to be in the
> Makefile itself.
> ...
>>>         dir.sp dir.s dir.o: EXTRA_CPPFLAGS += -Wno-error=stringop-overread
>>
>> I know at least one developer that will then rightfully complain that
>> the git build doesn't work in AIX with xl after this.
>
> Yes, it would break if it were in the Makfile, but not if it's in
> config.mak.dev.

I do not think you can blame Carlo for poor reading/comprehension in
this case---I too (mis)read what you wrote, and didn't realize that
you were suggesting to add the "for these target, EXTRA_CPPFLAGS
additionally gets this value" inside the ifneq/endif Carlo added to
hold the DEVELOPER_CFLAGS thing.

For now, let's stick to the simpler form, though.

Thanks.